//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Wed Jun 11 22:18:18 GMT-0800 1997
// Last Modified: Wed Jun 11 22:18:21 GMT-0800 199
// Filename:      .../sig/src/Filter/RandomDist/RandomDist.cc
// Syntax:        C++ 
// $Smake:        cc -Wall -g -c %b.cc -I../../../include && rm -f %b.o
//

#include <stdlib.h>
#include "RandomDist.h"


//////////////////////////////
//
// RandomDist::RandomDist
//

RandomDist::RandomDist(void) : Distribution() {
   setName("RandomDist");
   outputValue = 0;
   brandname = FILTER;
   doUniform(-1.0, 1.0);
}



//////////////////////////////
//
// RandomDist::~RandomDist
//

RandomDist::~RandomDist() { }



//////////////////////////////
//
// RandomDist::action
//

void RandomDist::action(void) {
   outputValue = value();
}



//////////////////////////////
//
// RandomDist::output
//

sampleType RandomDist::output(int channel) {
   return outputValue;
}


