//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Sat Nov  2 10:25:09 PST 1996
// Last Modified: Wed Apr 23 22:33:52 GMT-0800 1997
// Filename:      .../sig/src/Filter/Multiply/Multiply.cc
// Syntax:        C++ 
// $Smake:        cc -g -c %b.cc -I../../../include && rm -f %b.o
//

#include <stdlib.h>
#include "Multiply.h"


//////////////////////////////
//
// Multiply::Multiply
//

Multiply::Multiply(void) {
   setName("Multiply");
   Output = 0.0;
   brandname = FILTER;
}



//////////////////////////////
//
// Multiply::action
//

void Multiply::action(void) {
   Output = 1.0;
   for (int i=0; i<inputs.getSize(); i++) {
      Output *= inputs[i];
   }
}



//////////////////////////////
//
// Multiply::output
//

sampleType Multiply::output(int channel) {
   return Output;
}


